跳转到主要内容

云管理

列出 AWS 账户

GET /cloud/accounts

添加 AWS 账户

POST /cloud/accounts

测试连接

POST /cloud/accounts/{account_id}/test

获取成本

GET /cloud/costs?account_id={id}&start_date={date}&end_date={date}

ECS

列出集群

GET /infrastructure/ecs/clusters?account_id={id}

列出服务

GET /infrastructure/ecs/clusters/{cluster}/services?account_id={id}

强制部署

POST /infrastructure/ecs/services/{service}/deploy

扩缩服务

POST /infrastructure/ecs/services/{service}/scale

获取日志

GET /infrastructure/ecs/services/{service}/logs

Lambda

列出函数

GET /infrastructure/lambda/functions?account_id={id}

调用函数

POST /infrastructure/lambda/functions/{name}/invoke

获取日志

GET /infrastructure/lambda/functions/{name}/logs

Deployments (Amplify)

列出应用

GET /deployments/apps

触发部署

POST /deployments/apps/{app_id}/deploy

获取构建日志

GET /deployments/apps/{app_id}/builds/{build_id}/logs